<template lang="html">
  <div class="bar" :class="[`${pageColor}-bg`]">
    <p :style="{ fontSize: `${fontSize}px`}">{{pageName}}</p>
    <svg class="logo" width="88" height="18" viewBox="0 0 88 24" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path d="M9.25788 10.1812C8.31975 10.1812 7.57912 9.5077 7.57912 8.64843C7.57912 7.8356 8.24569 7.16212 9.10976 7.16212C9.57882 7.16212 10.0479 7.37113 10.3441 7.74271C10.0973 7.20857 9.55414 6.86022 8.76413 6.86022C6.24599 6.86022 5.30785 10.2973 5.30785 13.2931V17.3572H7.45568V18.0075H0V17.3572H1.97502V7.25502H0V6.60476C1.77751 6.60476 3.50565 6.53509 5.30785 6.20996V9.78638C5.65348 8.02139 6.66568 6.27963 8.71475 6.27963C10.1713 6.27963 11.0601 7.1389 11.0601 8.3233C11.0354 9.48447 10.2207 10.1812 9.25788 10.1812Z" fill="black"/>
      <path d="M26.4652 17.3808V18.031H19.4539V17.3808H21.1573V9.57769C21.1573 8.04494 20.5154 7.41791 19.5279 7.41791C17.6517 7.41791 16.5901 9.55447 16.5901 10.6227V17.3808H18.4417V18.031H11.2822V17.3808H13.2572V1.35658H11.2822V0.706323C13.1091 0.706323 14.7879 0.636652 16.5901 0.311523V8.71842C17.1826 7.6037 18.4663 6.30318 20.787 6.30318C23.3298 6.30318 24.5148 7.81271 24.5148 10.4834V17.3808H26.4652Z" fill="black"/>
      <path d="M26.6134 21.677C26.6134 20.5855 27.3293 19.703 28.4897 19.703C29.4525 19.703 30.1931 20.3764 30.1931 21.2357C30.1931 22.0485 29.5759 22.6756 28.7119 22.6756C27.8478 22.6756 27.3047 22.095 27.2306 21.5608C27.2306 22.5827 27.9465 23.3258 29.1315 23.3258C30.7856 23.3258 31.5016 22.0021 32.0694 20.6087L32.6619 19.1224C32.7359 18.9366 32.7853 18.7508 32.7853 18.6115C32.7853 18.2863 32.5631 18.0541 31.9459 18.0541H31.4275L27.3047 7.30162H25.8975V6.65137H32.3409V7.30162H30.7116L33.9703 15.8711L35.9207 11.0174C36.2169 10.2975 36.365 9.62397 36.365 9.04339C36.365 8.02155 35.9207 7.32485 35.0319 7.32485H34.785V6.67459H40.0188V7.32485H39.8954C38.7104 7.32485 37.6241 8.60214 36.4391 11.5515L32.7359 20.7945C32.1188 22.3272 31.2547 23.9993 29.1562 23.9993C27.6256 23.9296 26.6134 22.9775 26.6134 21.677Z" fill="black"/>
      <path d="M49.2267 16.5678C48.5107 17.6128 47.4986 18.356 45.8198 18.356C43.0301 18.356 42.3388 16.2426 42.3388 14.1061V7.25514H40.5366V6.60488H42.3388V4.79345C43.4004 4.56122 44.9063 3.63228 45.647 2.72656V6.60488H48.8317V7.25514H45.647V15.5691C45.647 16.9393 46.2148 17.3806 46.9554 17.3806C47.7207 17.3806 48.3132 16.8 48.6836 16.1962L49.2267 16.5678Z" fill="black"/>
      <path d="M65.1019 17.3808V18.031H58.0906V17.3808H59.794V9.57769C59.794 8.04494 59.1521 7.41791 58.1646 7.41791C56.2884 7.41791 55.2268 9.55447 55.2268 10.6227V17.3808H57.0784V18.031H49.9189V17.3808H51.894V1.35658H49.9189V0.706323C51.7458 0.706323 53.4246 0.636652 55.2268 0.311523V8.71842C55.8193 7.6037 57.1031 6.30318 59.4237 6.30318C61.9665 6.30318 63.1515 7.81271 63.1515 10.4834V17.3808H65.1019Z" fill="black"/>
      <path d="M87.8143 17.3805V18.0307H80.9264V17.3805H82.5064V9.60059C82.5064 7.97494 81.9386 7.44081 81.0992 7.44081C79.4204 7.44081 78.5564 9.36835 78.4329 10.7153V17.4037H79.9636V18.0539H73.5201V17.4037H75.1001V9.60059C75.1001 7.9285 74.4088 7.44081 73.6435 7.44081C71.9401 7.44081 71.0266 9.64704 71.0266 10.7385V17.3805H72.5819V18.0307H65.7188V17.3805H67.6938V7.25502H65.7188V6.60476C67.4963 6.60476 69.2244 6.53509 71.0266 6.20996V8.64843C71.5944 7.51048 72.8041 6.27963 74.9273 6.27963C76.7788 6.27963 77.8898 7.20857 78.2601 8.97355C78.7539 7.69626 79.9883 6.27963 82.2842 6.27963C84.6789 6.27963 85.7899 7.81238 85.7899 10.4599V17.3572H87.8143V17.3805Z" fill="black"/>
      <path d="M40.0184 2.28587C39.6728 1.35693 38.8087 1.00858 38.0187 1.26404C37.2534 1.5195 36.9077 2.2162 37.1546 2.91291C37.4015 3.56316 38.0928 3.86507 38.784 3.63283C39.4012 3.42382 39.6728 2.93613 39.6481 2.49488C39.8456 3.14514 39.5493 3.93474 38.6606 4.23664C37.4756 4.63144 36.5621 3.88829 35.0809 2.611C34.6859 2.26265 34.2662 1.89107 33.8465 1.56594L32.9577 0.93891C32.3405 0.544111 31.674 0.242206 31.0074 0.102865C30.9333 0.0796414 30.8346 0.0796414 30.7605 0.0564179C30.7358 0.0564179 30.6864 0.0564179 30.6618 0.0331945C30.6371 0.0331945 30.6124 0.0331945 30.6124 0.0331945C30.563 0.0331945 30.5136 0.0331945 30.4889 0.00997099C30.4643 0.00997099 30.4149 0.00997099 30.3902 0.00997099C30.3655 0.00997099 30.3655 0.00997099 30.3408 0.00997099C26.7364 -0.222264 25.8477 3.67928 25.8477 3.67928L25.897 3.7954C25.897 3.77217 25.897 3.81862 25.897 3.7954C25.897 3.7954 26.9586 0.567334 29.3039 1.70528C29.7977 1.98397 30.5383 2.40199 31.0074 2.75034L31.4765 3.09869C33.8712 4.81723 36.1177 5.6765 38.3643 4.93335C39.9196 4.39921 40.3887 3.26126 40.0184 2.28587Z" fill="black"/>
    </svg>
  </div>
</template>

<script>

export default {
  data() {
    return {
      fontSize: 15,
    };
  },
  computed: {
    pageName() { // changes 'title' of the page, depends on the route
      if (this.$route.name === 'home') return 'your rhythm';
      if (this.$route.name === 'timediagrams') return 'time charts';
      if (this.$route.name === 'settings') return 'settings';
      if (this.$route.name === 'habits') return 'Habits';
      if (this.$route.name === 'important') return 'Important tasks';
      if (this.$route.name === 'nottodos') return 'Not-to-do-list';
      if (this.$route.name === 'projects') return 'projects';
      return 'your rhythm';
    },
  },
  props: {
    pageColor: String,
    icon: {
      type: String,
    },
  },
};

</script>

<style lang="stylus" scoped>
@require '../assets/styles/breakpoints'

.bar
  width: auto
  height: 30px
  border-radius: 2px
  color: black
  font-family: futura-pt, serif
  font-weight: 400
  font-style: normal
  text-transform: uppercase
  padding-left: 40px
  padding-right: 40px
  display: inline-flex
  align-items: center
  margin-top: 0
  padding-top: 16px

  @media $desktop
    padding-left: 200px

  @media $tablet
    padding-left: 190px
    padding-top: 30px

  .logo
    margin-left: auto
    order:2
    margin-right: 70px

    @media $desktop
      padding-right: 230px

    @media $tablet
      padding-right: 200px

  p
    left:0
    font-family: futura-pt, serif
    font-weight: 400
    font-style: normal
    text-transform: uppercase
    font-size: 16px

    @media $tablet
      font-size: 30px

    @media $desktop
      font-size: 30px

</style>
